## ceph 0.67.11-67-gaf2168b-1trusty

=== debian/changelog ===
ceph (0.67.11-67-gaf2168b-1trusty) trusty; urgency=medium

  * autobuilt

 -- Ceph autobuild <sage@newdream.net>  Thu, 05 Feb 2015 23:39:32 +0000

ceph (0.67.11-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <alfredo.deza@inktank.com>  Wed, 24 Sep 2014 06:25:55 -0700

ceph (0.67.10-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <alfredo.deza@inktank.com>  Mon, 11 Aug 2014 05:30:10 -0700

ceph (0.67.9-1) stable; urgency=low

  * New upstream release

 -- Alfredo Deza <alfredo.deza@inktank.com>  Wed, 21 May 2014 16:57:02 +0000

ceph (0.67.8-1) stable; urgency=low

  * New upsream release

 -- Alfredo Deza <alfredo.deza@inktank.com>  Thu, 01 May 2014 11:18:24 +0000

ceph (0.67.7-1) stable; urgency=low

  * New upstream release 

 -- Ken Dreyer <ken.dreyer@inktank.com>  Wed, 19 Feb 2014 18:03:31 +0000

ceph (0.67.6-1) stable; urgency=low

  * New upstream release 

 -- Alfredo Deza <alfredo.deza@inktank.com>  Thu, 13 Feb 2014 20:10:29 +0000

ceph (0.67.5-1) stable; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Thu, 19 Dec 2013 20:52:39 +0000

ceph (0.67.4-1) stable; urgency=low

  * New upstream release 

 -- Gary Lowell <glowell@jenkins.front.sepia.ceph.com>  Thu, 03 Oct 2013 22:40:44 +0000

ceph (0.67.3-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Mon, 09 Sep 2013 12:49:22 -0700

ceph (0.67.2-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Thu, 22 Aug 2013 19:10:34 -0700

ceph (0.67.1-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Fri, 16 Aug 2013 19:39:22 -0700

ceph (0.67-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Tue, 13 Aug 2013 10:44:30 -0700

ceph (0.67-rc3-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Tue, 30 Jul 2013 14:37:40 -0700

ceph (0.67-rc2-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Wed, 24 Jul 2013 16:18:33 -0700

ceph (0.67-rc1-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Mon, 22 Jul 2013 11:57:01 -0700

ceph (0.66-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Mon, 08 Jul 2013 15:44:45 -0700

ceph (0.65-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Tue, 25 Jun 2013 09:19:14 -0700

ceph (0.64-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Wed, 12 Jun 2013 09:53:54 -0700

ceph (0.63-1) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Tue, 28 May 2013 13:57:53 -0700

ceph (0.62) precise; urgency=low

  * New upstream release 

 -- Gary Lowell <gary.lowell@inktank.com>  Tue, 14 May 2013 09:08:21 -0700
