## ceph 0.79

=== debian/changelog ===
ceph (0.79-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1278466):
    - d/p/modules.patch: Refreshed.
    - d/ceph.install: Install all jerasure modules.

 -- James Page <james.page@ubuntu.com>  Wed, 09 Apr 2014 11:14:03 +0100

ceph (0.78-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - d/control: Add xfslib-dev to BD's.
    - d/*: Sync relevant packaging changes from upstream.
    - d/p/*: Drop upstreamed patches.
    - d/p/modules.patch: Mark libcls_user.so and libec_jerasure.so as modules.
    - d/ceph.install: Only install libec_jerasure.so.
  * d/ceph-test.install: Install test binaries to /usr/lib/ceph/bin; they
    really don't need to be installed on the default path.
  * d/{ceph|radosgw|ceph-mds}.lintian-overrides: Add overrides for intentional
    difference in naming and structure between upstart configurations and
    init.d scripts.

 -- James Page <james.page@ubuntu.com>  Sat, 22 Mar 2014 18:27:40 +0000

ceph (0.72.2-2) unstable; urgency=medium

  * d/radosgw.{postinst,postrm,preinst}: Handle renaming of radosgw
    upstart configuration on upgrade@0.72.1-3.
  * d/{ceph|ceph-mds|radosgw}.{postinst|prerm}: Check to ensure that system
    is running upstart before trying to start/stop upstart configurations
    (Closes: #734241, #738845, #738845).

 -- James Page <jamespage@debian.org>  Sat, 08 Mar 2014 16:48:28 +0000

ceph (0.72.2-1) unstable; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 01 Jan 2014 09:32:03 +0000

ceph (0.72.1-3) unstable; urgency=low

  * d/rules,ceph.install: Correct install paths for ceph-* helpers. 
  * d/p/modules: Mark libcls_kvs.so as module.
  * d/rules: Rename radosgw upstart configuration to radosgw-instance to
    avoid namespace conflict with init script which breaks backwards
    compatibility (LP: #1255464).

 -- James Page <james.page@ubuntu.com>  Wed, 27 Nov 2013 10:52:48 +0000

ceph (0.72.1-2) unstable; urgency=low

  * Fix upgrade failures from ceph < 0.67.3-1 (Closes: #728164):
    - d/control: ceph-mds Breaks/Replaces ceph (<< 0.67.3-1).
    - d/control: ceph-fs-common Breaks/Replaces ceph-common (<< 0.67.3-1).
  * d/rules,control: Use google-perftools on armhf and powerpc archs.

 -- James Page <james.page@ubuntu.com>  Mon, 25 Nov 2013 10:13:19 +0000

ceph (0.72.1-1) unstable; urgency=low

  * New upstream stable release:
    - d/ceph-test.install: Add new ceph_filestore_tool, ceph-kvstore-tool
      and ceph_test_cls_hello binaries, drop ceph_test_store_tool.
    - d/ceph-common.install: Add new ceph-post-file binary and manpage.
    - d/ceph.install: Tweaked install path /usr/sbin -> /sbin.
    - d/control: Add new BD's on python-nose and yasm.
    - d/copyright: Updates inline with changes in codebase.
    - d/ceph.install,rules: Install rbdmap init file using dh_installinit.
    - Refresh patches.
  * d/control,rules: Disable unit testing; it requires a forked version of
    cram and is still trying to download dependencies using virtualenv.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Nov 2013 13:02:29 +0000

ceph (0.67.3-1) unstable; urgency=low

  [ Laszlo Boszormenyi ]
  * New upstream release (Closes: #693866, #705262).
  * Update debian/copyright.
  * Sync with Ubuntu.

  [ James Page ]
  * d/control,rules,libcephfs-{java,jni}: Enable Java CephFS library,
    add new BD's on javahelper and default-jdk, add dbg package.
  * d/control: Add new BD on libboost-thread-dev for RADOS Gateway
    keystone integration.
  * d/{control,obsync.install}: Drop obsync package inline with
    upstream.
  * d/librbd-dev.install: Pickup new features.h file.
  * Remove manual calls to ldconfig:
    - d/lib{rados2|rbd1|cephfs1}.post*: Dropped - all these do is call
      ldconfig which will automatically be done. 
    - d/rules: Let dh_makeshlibs do its magic with postinst/postrm.
  * d/tests/*: Added autopkgtests for librbd, librados, python-ceph
    and the ceph CLI.
  * d/control: Fix versions of librbd1, librados2 and libcephfs1 for
    python-ceph as it requires an exact version match.
  * d/ceph.docs: Drop - README from upstream is only useful for developers
    (Closes: #722957).
  * d/rules: Drop --upstart-only from dh_installinit calls for upstart
    configurations; this is deprecated in Ubuntu and not support in Debian.
  * d/rules: Exclude jni package from shlibs generation to avoid pointless
    ldconfig calls in maintainer scripts.

  [ Bastian Blank ]
  * Use debhelper 9.
  * Use dh-autoreconf.
  * Install files from source tree if possible.
  * Run test-suite:
    - Build-depend on python-virtualenv.
    - Ask virtualenv to never download anything.
  * Fix clean target.
  * Properly mark library modules:
    - Don't longer exclude them from stripping.
  * Drop all libtool .la files.
  * Generate python dependencies.
  * Don't exclude stuff from shlibs generation.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 01 Oct 2013 02:29:08 +0200
