=== debian/control ===
--- 
+++ 
@@ -1,41 +1,50 @@
 Source: ceph
 Section: admin
 Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ceph Maintainers <ceph-maintainers@lists.ceph.com>
+Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
+           James Page <jamespage@debian.org>
 Homepage: http://ceph.com/
-Vcs-Git: git://github.com/ceph/ceph.git
-Vcs-Browser: https://github.com/ceph/ceph
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Uploaders: Sage Weil <sage@newdream.net>
-Build-Depends: autoconf,
-               automake,
-               autotools-dev,
-               debhelper (>= 6.0.7~),
+Vcs-Git: git://anonscm.debian.org/pkg-ceph/ceph.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ceph/ceph.git
+Build-Depends: debhelper (>= 9~),
                default-jdk,
-               git,
+               dh-autoreconf,
+               dpkg-dev (>= 1.16.1~),
                javahelper,
                junit4,
                libaio-dev,
                libatomic-ops-dev,
+               libblkid-dev (>= 2.17),
                libboost-dev (>= 1.42),
                libboost-program-options-dev (>= 1.42),
+               libboost-system-dev (>= 1.42),
                libboost-thread-dev (>= 1.42),
-               libboost-system-dev (>= 1.42),
                libcurl4-gnutls-dev,
                libedit-dev,
                libexpat1-dev,
                libfcgi-dev,
                libfuse-dev,
-               libgoogle-perftools-dev [i386 amd64],
+               libgoogle-perftools-dev [i386 amd64 powerpc armhf ppc64el],
                libkeyutils-dev,
                libleveldb-dev,
                libnss3-dev,
+               libs3-dev,
                libsnappy-dev,
                libtool,
                libxml2-dev,
                pkg-config,
-               python (>= 2.6.6-3~),
-               uuid-dev
-Standards-Version: 3.9.3
+               python-all (>= 2.6.6-3~),
+               python-nose,
+               uuid-dev,
+               uuid-runtime,
+               xfslibs-dev,
+               yasm
+Build-Conflicts: libcrypto++-dev
+Standards-Version: 3.9.4
+X-Python-Version: >= 2.6
+XS-Testsuite: autopkgtest
 
 Package: ceph
 Architecture: linux-any
@@ -43,30 +52,33 @@
          ceph-common,
          cryptsetup-bin | cryptsetup,
          gdisk,
+         hdparm | sdparm,
          parted,
-         python,
-         python-argparse,
-         sdparm | hdparm,
          uuid-runtime,
          xfsprogs,
          ${misc:Depends},
+         ${python:Depends},
          ${shlibs:Depends}
-Recommends: btrfs-tools, ceph-mds, librados2, librbd1
-X-Python-Version: >= 2.6
+Pre-Depends: ${misc:Pre-Depends}
+Conflicts: gceph, librgw-dev, librgw1, librgw1-dbg, obsync
+Replaces: gceph, librgw-dev, librgw1, librgw1-dbg, obsync
+Recommends: libcephfs1, librados2, librbd1
 Description: distributed storage and file system
  Ceph is a distributed storage system designed to provide excellent
  performance, reliability, and scalability.
  .
  This package contains all server daemons and management tools for creating,
  running, and administering a Ceph storage cluster, with the exception of the
- metadata server, which is necessary for using the distributed file system and is
- provided by the ceph-mds package.
+ metadata server, which is necessary for using the distributed file system
+ and is provided by the ceph-mds package.
 
 Package: ceph-dbg
 Architecture: linux-any
 Section: debug
 Priority: extra
 Depends: ceph (= ${binary:Version}), ${misc:Depends}
+Conflicts: gceph-dbg
+Replaces: gceph-dbg
 Description: debugging symbols for ceph
  Ceph is a distributed storage system designed to provide excellent
  performance, reliability, and scalability.
@@ -77,8 +89,8 @@
 Architecture: linux-any
 Depends: ceph, ${misc:Depends}, ${shlibs:Depends}
 Recommends: ceph-fs-common, ceph-fuse, libcephfs1
-Replaces: ceph (<< 0.58-1)
-Breaks: ceph (<< 0.58-1)
+Breaks: ceph (<< 0.67.3-1)
+Replaces: ceph (<< 0.67.3-1)
 Description: metadata server for the ceph distributed file system
  Ceph is a distributed storage and network file system designed to
  provide excellent performance, reliability, and scalability.
@@ -98,9 +110,9 @@
  This package contains the debugging symbols for ceph-mds.
 
 Package: ceph-fuse
-Architecture: linux-any
+Architecture: amd64
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: fuse | fuse-utils
+Recommends: fuse
 Description: FUSE-based client for the Ceph distributed file system
  Ceph is a distributed network file system designed to provide
  excellent performance, reliability, and scalability.  This is a
@@ -114,7 +126,7 @@
  do.
 
 Package: ceph-fuse-dbg
-Architecture: linux-any
+Architecture: amd64
 Section: debug
 Priority: extra
 Depends: ceph-fuse (= ${binary:Version}), ${misc:Depends}
@@ -129,7 +141,7 @@
 Package: rbd-fuse
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: fuse | fuse-utils
+Recommends: fuse
 Description: FUSE-based rbd client for the Ceph distributed file system
  Ceph is a distributed network file system designed to provide
  excellent performance, reliability, and scalability.  This is a
@@ -151,8 +163,11 @@
 
 Package: ceph-common
 Architecture: linux-any
-Depends: librbd1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
-         python-ceph (= ${binary:Version})
+Depends: librbd1 (= ${binary:Version}),
+         python-ceph (= ${binary:Version}),
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
 Conflicts: ceph-client-tools
 Replaces: ceph-client-tools
 Suggests: ceph, ceph-mds
@@ -178,7 +193,9 @@
 Package: ceph-fs-common
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ceph-common (<< 0.67.3-1)
 Conflicts: ceph-client-tools
+Replaces: ceph-client-tools, ceph-common (<< 0.67.3-1)
 Suggests: ceph-mds
 Description: common utilities to mount and interact with a ceph file system
  Ceph is a distributed network file system designed to provide
@@ -202,10 +219,10 @@
  This package contains the debugging symbols for ceph-fs-common.
 
 Package: ceph-resource-agents
-Architecture: linux-any
+Architecture: all
 Recommends: pacemaker
 Priority: extra
-Depends: ceph (= ${binary:Version}), resource-agents, ${misc:Depends}
+Depends: ceph (>= ${binary:Version}), resource-agents, ${misc:Depends}
 Description: OCF-compliant resource agents for Ceph
  Ceph is a distributed storage and network file system designed to provide
  excellent performance, reliability, and scalability.
@@ -215,11 +232,12 @@
  such as Pacemaker.
 
 Package: librados2
-Conflicts: librados, librados1
-Replaces: librados, librados1
+Conflicts: libcrush, libcrush1, librados, librados1
+Replaces: libcrush, libcrush1, librados, librados1
 Architecture: linux-any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: RADOS distributed object store client library
  RADOS is a reliable, autonomic distributed object storage cluster
  developed as part of the Ceph distributed storage system.  This is a
@@ -227,26 +245,26 @@
  store using a simple file-like interface.
 
 Package: librados2-dbg
-Conflicts: librados1-dbg
-Replaces: librados1-dbg
+Conflicts: libcrush1-dbg, librados1-dbg
+Replaces: libcrush1-dbg, librados1-dbg
 Architecture: linux-any
 Section: debug
 Priority: extra
 Depends: librados2 (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for librados
+Description: debugging symbols for librados2
  RADOS is a reliable, autonomic distributed object storage cluster
  developed as part of the Ceph distributed storage system.  This is a
  shared library allowing applications to access the distributed object
  store using a simple file-like interface.
  .
- This package contains debugging symbols for librados.
+ This package contains debugging symbols for librados2.
 
 Package: librados-dev
 Architecture: linux-any
 Section: libdevel
-Depends: librados2 (= ${binary:Version}), ${misc:Depends}
-Conflicts: librados1-dev, librados2-dev
-Replaces: librados1-dev, librados2-dev
+Depends: librados2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libcrush-dev, libcrush1-dev, librados1-dev, librados2-dev
+Replaces: libcrush-dev, libcrush1-dev, librados1-dev, librados2-dev
 Description: RADOS distributed object store client library (development files)
  RADOS is a reliable, autonomic distributed object storage cluster
  developed as part of the Ceph distributed storage system.  This is a
@@ -254,12 +272,13 @@
  store using a simple file-like interface.
  .
  This package contains development files needed for building applications that
- link against librados.
+ link against librados2.
 
 Package: librbd1
 Architecture: linux-any
 Section: libs
 Depends: librados2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: RADOS block device client library
  RBD is a block device striped across multiple distributed objects
  in RADOS, a reliable, autonomic distributed object storage cluster
@@ -291,27 +310,3 @@
  developed as part of the Ceph distributed storage system.  This is a
  shared library allowing applications to manage these block devices.
  .
- This package contains development files needed for building applications that
- link against librbd1.
-
-Package: libcephfs1
-Conflicts: libceph, libceph1, libcephfs
-Replaces: libceph, libceph1, libcephfs
-Architecture: linux-any
-Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Ceph distributed file system client library
- Ceph is a distributed network file system designed to provide
- excellent performance, reliability, and scalability.  This is a
- shared library allowing applications to access a Ceph distributed
- file system via a POSIX-like interface.
-
-Package: libcephfs1-dbg
-Architecture: linux-any
-Section: debug
-Priority: extra
-Depends: libcephfs1 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libceph1-dbg
-Replaces: libceph1-dbg
-Description: debugging symbols for libcephfs1
- Ceph is a distributed network file system designed to provide
